Upsert Allergen Names

post

/config/sim/v2/menuItems/upsertAllergenNames

Updates provided fields if the allergenId field is available in the request body else inserts a new allergen name.

Request

Supported Media Types
Header Parameters
Body ()
Allergen Names upsert request body
Root Schema : schema
Type: object
Model for Allergen Name Object Upsert Request
Show Source
  • Allergen Code. It should be unique for any allergen and maximum allowed length of string is 128. Required to create a new allergen name.
    Example: Apple
  • Allergen Id. Required to update an existing allergen name.
    Example: 364
  • Unique reference of the hierarchy unit where the allergen is configured.
    Example: 3599
  • name
    Allergen Name. Required to create a new allergen name.
Nested Schema : name
Type: object
Allergen Name. Required to create a new allergen name.
Example:
{
    "1":"Apple",
    "2":"Pomme",
    "3":"Manzana"
}
Back to Top

Response

Supported Media Types

200 Response

Update operation executed successfully.
Body ()
Root Schema : schema
Type: object
Show Source

201 Response

Insert operation executed successfully.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top